Bug 26630 - Allow custom text for each library on the purchase suggestion page
Summary: Allow custom text for each library on the purchase suggestion page
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Lucas Gass
QA Contact: Testopia
URL:
Keywords: Manual
: 27046 (view as bug list)
Depends on:
Blocks:
 
Reported: 2020-10-07 21:58 UTC by Lisette Scheer
Modified: 2021-05-24 22:09 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Enhancement to allow for custom text at the top of the purchase suggestion screen which can be administered via the Koha news tool.
Version(s) released in:
21.05.00


Attachments
Bug 26630: Add OpacSuggestionInstructions options to News (4.41 KB, patch)
2020-11-18 23:50 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 26630: Add OpacSuggestionInstructions options to News (4.47 KB, patch)
2020-12-29 23:54 UTC, Kelly McElligott
Details | Diff | Splinter Review
Bug 26630: Add OpacSuggestionInstructions options to News (4.52 KB, patch)
2021-01-21 10:53 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lisette Scheer 2020-10-07 21:58:13 UTC
It would be great if using the news tool we could set custom text at the top of the purchase suggestion screen based on the home branch of the patron. 

Currently I'm using jq to do this, but it would be nice if it was built in.
Comment 1 Lisette Scheer 2020-11-18 19:30:20 UTC
*** Bug 27046 has been marked as a duplicate of this bug. ***
Comment 2 Lucas Gass 2020-11-18 23:50:43 UTC Comment hidden (obsolete)
Comment 3 Kelly McElligott 2020-12-29 23:54:43 UTC Comment hidden (obsolete)
Comment 4 Martin Renvoize 2021-01-21 10:53:44 UTC
Created attachment 115525 [details] [review]
Bug 26630: Add OpacSuggestionInstructions options to News

Test plan:
1. Apply patch
2. Go to /cgi-bin/koha/tools/koha-news.pl and create 'New entry' with a dsiplay location of OpacSuggestionInstructions
3. Login to the OPAC and go to the purchase suggestion page (/cgi-bin/koha/opac-suggestions.pl)
4. Your new content should be there.
5. Delete the OpacSuggestionInstructions news entry.
6. Re-load the OPAC purchase suggestion page and the original text will be restored.

Signed-off-by: Kelly McElligott <kelly@bywatersolutions.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 5 Martin Renvoize 2021-01-21 10:54:07 UTC
A nice little enhancement, works as described and passes QA scripts.

Passing QA
Comment 6 Jonathan Druart 2021-01-21 15:25:12 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 7 Fridolin Somers 2021-01-25 15:36:55 UTC
Enhancement not pushed to 20.11.x
Comment 8 Jonathan Druart 2021-02-09 11:05:10 UTC
Lucas, please fill the release notes.